### Function

# Gio BusNameLostCallback

since: 2.26

#### Declaration

    void
    (* GBusNameLostCallback) (
      GDBusConnection* connection,
      const gchar* name,
      gpointer user_data
    )

#### Description

Invoked when the name is lost or `connection` has been closed.

Available since: 2.26

#### Parameters

`connection`

  Type: `GDBusConnection`

  The `GDBusConnection` on which to acquire the name or `NULL` if the connection was disconnected.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name being owned.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data passed to `g_bus_own_name()` or g_bus_own_name_on_connection().

  The argument can be `NULL`.
  The data is owned by the caller of the function.